Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/BasesView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/BasesView.java	(revision 3074)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/BasesView.java	(revision 3075)
@@ -63,6 +63,7 @@
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.commands.OpenBrowser;
 import org.txm.rcp.editors.TXMBrowser;
+import org.txm.rcp.editors.TXMWebBrowserEditor;
 import org.txm.rcp.handlers.files.EditFile;
 import org.txm.rcp.handlers.results.DeleteObject;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
@@ -149,15 +150,12 @@
 				else if (selection.getFirstElement() instanceof Edition) {
 					Edition edition = ((Edition) selection.getFirstElement());
 					Page firstpage = edition.getFirstPage();
-					TXMBrowser editor = OpenBrowser.openEdition(firstpage
-							.getFile().getAbsolutePath(), edition.getName());
-					editor.showPage(firstpage);
+					TXMBrowser editor = OpenBrowser.openEdition(firstpage.getFile().getAbsolutePath(), edition.getName());
+					// editor.showPage(firstpage);
 				}
 				else if (selection.getFirstElement() instanceof Page) {
 					Page page = ((Page) selection.getFirstElement());
-					TXMBrowser editor = OpenBrowser.openEdition(page.getFile()
-							.getAbsolutePath());
-					editor.showPage(page);
+					TXMBrowser editor = OpenBrowser.openEdition(page.getFile().getAbsolutePath());
 				}
 			}
 		});
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/SummaryView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/SummaryView.java	(revision 3074)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/SummaryView.java	(revision 3075)
@@ -59,7 +59,6 @@
 import org.txm.Toolbox;
 import org.txm.objects.Page;
 import org.txm.rcp.commands.OpenBrowser;
-import org.txm.rcp.editors.TXMBrowser;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.widget.PropertiesSelector;
 import org.txm.rcp.views.corpora.CorporaView;
@@ -91,8 +90,6 @@
 	
 	PropertiesSelector<StructuralUnitProperty> propsArea;
 	
-	/** The attached browser editor. */
-	protected TXMBrowser attachedBrowserEditor;
 	
 	/** The ID. */
 	public static String ID = SummaryView.class.getName();
@@ -352,60 +349,60 @@
 				final Summary.TreeNode node = (Summary.TreeNode) first;
 				
 				try {
-					final Page openedPage = summary.getDefaultEditionPage(node);
-					if (openedPage != null) {
-						// System.out.println(page.getFile());
-						if (attachedBrowserEditor == null || attachedBrowserEditor.isDisposed()) {
-							attachedBrowserEditor = OpenBrowser
-									.openEdition(openedPage.getFile()
-											.getAbsolutePath(), openedPage.getFile().getName());
-							attachedBrowserEditor.setEdition(openedPage.getEdition());
-						}
-						attachedBrowserEditor.showPage(openedPage);
-					}
-					else {
-						System.out.println(TXMUIMessages.noDefaultEditionPageFoundForElementColon + node);
-					}
+					// final Page openedPage = summary.getDefaultEditionPage(node);
+					// if (openedPage != null) {
+					// // System.out.println(page.getFile());
+					// if (attachedBrowserEditor == null || attachedBrowserEditor.isDisposed()) {
+					// attachedBrowserEditor = OpenBrowser
+					// .openEdition(openedPage.getFile()
+					// .getAbsolutePath(), openedPage.getFile().getName());
+					// attachedBrowserEditor.setEdition(openedPage.getEdition());
+					// }
+					// attachedBrowserEditor.showPage(openedPage);
+					// }
+					// else {
+					// System.out.println(TXMUIMessages.noDefaultEditionPageFoundForElementColon + node);
+					// }
+					//
+					// if (progresslistener != null) {
+					// attachedBrowserEditor.getBrowser().removeProgressListener(progresslistener);
+					// }
+					// progresslistener = new ProgressListener() {
+					//
+					// @Override
+					// public void changed(ProgressEvent event) {}
+					//
+					// @Override
+					// public void completed(ProgressEvent event) {
+					// Page currentpage = attachedBrowserEditor.getCurrentPage();
+					// // System.out.println("Highlight ! "+currentpage.getEdition().getText()+" name ="+openedPage.getEdition().getText());
+					// if (currentpage != null) {
+					// if (!(currentpage.getEdition().getText() == openedPage.getEdition().getText())) {
+					// return;
+					// }
+					// }
+					// String wordid = node.getWordId();
+					// String highlightscript = "try { var elt = document.getElementById(\"" + wordid + "\");" + //$NON-NLS-1$ //$NON-NLS-2$
+					// "elt.style.backgroundColor=\"#F9D0D0\";" //$NON-NLS-1$
+					// +
+					// "elt.style.paddingLeft=\"3px\";" + //$NON-NLS-1$
+					// "elt.style.paddingRight=\"3px\";" + //$NON-NLS-1$
+					// "elt.style.paddingTop=\"1px\";" + //$NON-NLS-1$
+					// "elt.style.paddingBottom=\"1px\";" + //$NON-NLS-1$
+					// "} catch (e) { };"; //$NON-NLS-1$
+					//
+					// attachedBrowserEditor.getBrowser().execute(highlightscript);
+					//
+					// String script = "try { document.getElementById(\"" + wordid + "\").scrollIntoView(true); } catch (e) { };"; //$NON-NLS-1$ //$NON-NLS-2$
+					// attachedBrowserEditor.getBrowser().execute(script);
+					// }
+					// };
+					//
+					// attachedBrowserEditor.getBrowser().addProgressListener(progresslistener);
+					//
+					// IWorkbenchPage attachedPage = attachedBrowserEditor.getEditorSite().getPage();
+					// attachedPage.activate(attachedBrowserEditor);
 					
-					if (progresslistener != null) {
-						attachedBrowserEditor.getBrowser().removeProgressListener(progresslistener);
-					}
-					progresslistener = new ProgressListener() {
-						
-						@Override
-						public void changed(ProgressEvent event) {}
-						
-						@Override
-						public void completed(ProgressEvent event) {
-							Page currentpage = attachedBrowserEditor.getCurrentPage();
-							// System.out.println("Highlight ! "+currentpage.getEdition().getText()+" name ="+openedPage.getEdition().getText());
-							if (currentpage != null) {
-								if (!(currentpage.getEdition().getText() == openedPage.getEdition().getText())) {
-									return;
-								}
-							}
-							String wordid = node.getWordId();
-							String highlightscript = "try { var elt = document.getElementById(\"" + wordid + "\");" + //$NON-NLS-1$ //$NON-NLS-2$
-									"elt.style.backgroundColor=\"#F9D0D0\";" //$NON-NLS-1$
-									+
-									"elt.style.paddingLeft=\"3px\";" + //$NON-NLS-1$
-									"elt.style.paddingRight=\"3px\";" + //$NON-NLS-1$
-									"elt.style.paddingTop=\"1px\";" + //$NON-NLS-1$
-									"elt.style.paddingBottom=\"1px\";" + //$NON-NLS-1$
-									"} catch (e) { };"; //$NON-NLS-1$
-							
-							attachedBrowserEditor.getBrowser().execute(highlightscript);
-							
-							String script = "try { document.getElementById(\"" + wordid + "\").scrollIntoView(true); } catch (e) { };"; //$NON-NLS-1$ //$NON-NLS-2$
-							attachedBrowserEditor.getBrowser().execute(script);
-						}
-					};
-					
-					attachedBrowserEditor.getBrowser().addProgressListener(progresslistener);
-					
-					IWorkbenchPage attachedPage = attachedBrowserEditor.getEditorSite().getPage();
-					attachedPage.activate(attachedBrowserEditor);
-					
 				}
 				catch (Exception e) {
 					org.txm.utils.logger.Log.printStackTrace(e);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowser.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowser.java	(revision 3074)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMBrowser.java	(revision 3075)
@@ -40,6 +40,7 @@
 import org.eclipse.swt.browser.ProgressListener;
 import org.eclipse.swt.events.SelectionEvent;
 import org.eclipse.swt.events.SelectionListener;
+import org.eclipse.swt.graphics.Image;
 import org.eclipse.swt.layout.FormAttachment;
 import org.eclipse.swt.layout.FormData;
 import org.eclipse.swt.layout.FormLayout;
@@ -107,11 +108,21 @@
 		return webbrowser.getBrowser();
 	}
 	
+	public void load(String url, String partName) {
+		this.getBrowser().setUrl(url);
+		setPartName(partName);
+	}
+	
 	@Override
 	public void setPartName(String partName) {
 		super.setPartName(partName);
 	}
 	
+	@Override
+	public void setTitleImage(Image titleImage) {
+		super.setTitleImage(titleImage);
+	}
+	
 	/**
 	 * 
 	 * @param wordids2 all the words to highlight
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenBrowser.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenBrowser.java	(revision 3074)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenBrowser.java	(revision 3075)
@@ -58,24 +58,25 @@
 /**
  * Open the internal browser of TXM with a file @ author mdecorde.
  */
-@SuppressWarnings("restriction") //$NON-NLS-1$
+@SuppressWarnings("restriction")
 public class OpenBrowser extends AbstractHandler {
-
+	
 	/** The Constant ID. */
 	public final static String ID = "org.txm.rcp.commands.OpenBrowser"; //$NON-NLS-1$
-
+	
 	/** The lastopenedfile. */
 	public static String lastopenedfile;
-
-	/* (non-Javadoc)
+	
+	/*
+	 * (non-Javadoc)
 	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
 	 */
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
-
+		
 		Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event)
 				.getShell();
-
+		
 		String filename = event
 				.getParameter("org.txm.rcp.commands.commandParameter2"); //$NON-NLS-1$
 		if (filename != null && !filename.matches("") && !filename.matches(" ")) //$NON-NLS-1$ //$NON-NLS-2$
@@ -83,7 +84,7 @@
 			openfile(filename);
 			return null;
 		}
-
+		
 		File file = null;
 		ISelection selection = HandlerUtil.getCurrentSelection(event);
 		if (selection != null & selection instanceof IStructuredSelection) {
@@ -95,16 +96,17 @@
 				}
 			}
 		}
-
+		
 		if (file == null) {
 			FileDialog dialog = new FileDialog(shell, SWT.OPEN);
 			String txmhome = Toolbox.getTxmHomePath();
 			if (LastOpened.getFile(ID) != null) {
 				dialog.setFilterPath(LastOpened.getFolder(ID));
 				dialog.setFileName(LastOpened.getFile(ID));
-			} else {
-				dialog.setFilterPath(txmhome); 
 			}
+			else {
+				dialog.setFilterPath(txmhome);
+			}
 			if (dialog.open() != null) {
 				String filepath = dialog.getFilterPath()
 						+ "/" + dialog.getFileName(); //$NON-NLS-1$
@@ -114,7 +116,8 @@
 					return openfile(filepath);
 				}
 			}
-		} else {
+		}
+		else {
 			if (file.isDirectory()) {
 				FileDialog dialog = new FileDialog(shell, SWT.OPEN);
 				dialog.setFilterPath(file.getAbsolutePath());
@@ -124,12 +127,13 @@
 				LastOpened.set(ID, dialog.getFilterPath(), dialog.getFileName());
 				lastopenedfile = filepath;
 				return openfile(filepath);
-			} else
+			}
+			else
 				return openfile(file.getAbsolutePath());
 		}
 		return null;
 	}
-
+	
 	/**
 	 * Openfile.
 	 *
@@ -139,62 +143,60 @@
 	static public TXMBrowser openEdition(String filepath) {
 		return openEdition(filepath, new File(filepath).getName());
 	}
-
+	
 	/**
 	 * Openfile.
 	 *
 	 * @param filepath the filepath
 	 * @return the txm browser
 	 */
-	static public TXMWebBrowserEditor openfile(String filepath) {
+	static public TXMBrowser openfile(String filepath) {
 		return openfile(filepath, new File(filepath).getName());
 	}
-
+	
 	static public void openExternalBrowser(String url) {
 		try {
 			PlatformUI.getWorkbench().getBrowserSupport().getExternalBrowser().openURL(new URL(url));
-		} catch (Exception e1) {
+		}
+		catch (Exception e1) {
 			e1.printStackTrace();
 		}
 	}
-
+	
 	/**
 	 * Open a file given a path in a Web editor.
 	 *
 	 * @param filepath the filepath
 	 * @param editorname the editorname
-	 * @return the txm browser
+	 * @return the TXM browser
 	 */
 	public static TXMBrowser openEdition(String filepath, String editorname) {
 		try {
 			// WebBrowserEditorInput editorInput = new WebBrowserEditorInput();
-			//TODO: is web browser type order useful ?
-			//System.setProperty("org.eclipse.swt.browser.DefaultType", "ie,mozilla,webkit");
-			//System.setProperty("org.eclipse.swt.browser.XULRunnerPath", "");
+			// TODO: is web browser type order useful ?
+			// System.setProperty("org.eclipse.swt.browser.DefaultType", "ie,mozilla,webkit");
+			// System.setProperty("org.eclipse.swt.browser.XULRunnerPath", "");
 			WebBrowserEditorInput editorInput;
 			File localfile = new File(filepath);
 			if (localfile.exists())
-				editorInput = new WebBrowserEditorInput(localfile.toURI()
-						.toURL(), BrowserViewer.BUTTON_BAR
-						| BrowserViewer.LOCATION_BAR);
+				editorInput = new WebBrowserEditorInput(localfile.toURI().toURL(), BrowserViewer.BUTTON_BAR | BrowserViewer.LOCATION_BAR);
 			else
-				editorInput = new WebBrowserEditorInput(new URL(filepath),
-						BrowserViewer.BUTTON_BAR | BrowserViewer.LOCATION_BAR);
-			IWorkbenchWindow window = PlatformUI.getWorkbench()
-					.getActiveWorkbenchWindow();
+				editorInput = new WebBrowserEditorInput(new URL(filepath), BrowserViewer.BUTTON_BAR | BrowserViewer.LOCATION_BAR);
+			
+			IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
 			IWorkbenchPage page = window.getActivePage();
-
-			TXMBrowser editor = (TXMBrowser) page.openEditor(editorInput,
-					TXMBrowser.ID, true);
+			
+			TXMBrowser editor = (TXMBrowser) page.openEditor(editorInput, TXMBrowser.ID, true);
 			editor.setPartName(editorname);
 			return editor;
-		} catch (Exception e) {
-			Log.severe(TXMUIMessages.bind(TXMUIMessages.errorWhileOpeningBibliographicRecordP0WithURLEqualsP1, e.toString(), filepath));
-			System.out.println(TXMUIMessages.bind(TXMUIMessages.errorWhileOpeningBibliographicRecordP0WithURLEqualsP1, e.toString(), filepath));
 		}
+		catch (Exception e) {
+			Log.warning(TXMUIMessages.bind(TXMUIMessages.errorWhileOpeningBibliographicRecordP0WithURLEqualsP1, e.toString(), filepath));
+			Log.printStackTrace(e);
+		}
 		return null;
 	}
-
+	
 	/**
 	 * Openfile.
 	 *
@@ -202,38 +204,41 @@
 	 * @param editorname the editorname
 	 * @return the txm browser
 	 */
-	public static TXMWebBrowserEditor openfile(String filepath, String editorname) {
+	public static TXMBrowser openfile(String filepath, String editorname) {
 		try {
-			// WebBrowserEditorInput editorInput = new WebBrowserEditorInput();
-			WebBrowserEditorInput editorInput;
-			File localfile = new File(filepath);
-			if (localfile.exists())
-				editorInput = new WebBrowserEditorInput(localfile.toURI()
-						.toURL(), BrowserViewer.BUTTON_BAR
-						| BrowserViewer.LOCATION_BAR);
-			else
-				editorInput = new WebBrowserEditorInput(new URL(filepath),
-						BrowserViewer.BUTTON_BAR | BrowserViewer.LOCATION_BAR);
-
-			IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
-			//System.out.println("Window: "+window);
-			IWorkbenchPage page = window.getActivePage();
-
-			try {
-				IEditorPart e = page.openEditor(editorInput, TXMWebBrowserEditor.WEB_BROWSER_EDITOR_ID, true);
-				if (e instanceof TXMWebBrowserEditor) {
-					TXMWebBrowserEditor editor = (TXMWebBrowserEditor) e;
-					editor.setTitle(editorname);
-					return editor;
-				}
-			} catch (SWTError e) {
-				Log.severe("TXM could not open the internal browser: "+e);
-				Log.printStackTrace(e);
-			}
-		} catch (Exception e) {
+			return openEdition(filepath, editorname);
+			// // WebBrowserEditorInput editorInput = new WebBrowserEditorInput();
+			// WebBrowserEditorInput editorInput;
+			// File localfile = new File(filepath);
+			// if (localfile.exists())
+			// editorInput = new WebBrowserEditorInput(localfile.toURI()
+			// .toURL(), BrowserViewer.BUTTON_BAR
+			// | BrowserViewer.LOCATION_BAR);
+			// else
+			// editorInput = new WebBrowserEditorInput(new URL(filepath),
+			// BrowserViewer.BUTTON_BAR | BrowserViewer.LOCATION_BAR);
+			//
+			// IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
+			// // System.out.println("Window: "+window);
+			// IWorkbenchPage page = window.getActivePage();
+			//
+			// try {
+			// IEditorPart e = page.openEditor(editorInput, TXMWebBrowserEditor.WEB_BROWSER_EDITOR_ID, true);
+			// if (e instanceof TXMWebBrowserEditor) {
+			// TXMWebBrowserEditor editor = (TXMWebBrowserEditor) e;
+			// editor.setTitle(editorname);
+			// return editor;
+			// }
+			// }
+			// catch (SWTError e) {
+			// Log.severe("TXM could not open the internal browser: " + e);
+			// Log.printStackTrace(e);
+			// }
+		}
+		catch (Exception e) {
 			Log.severe(TXMUIMessages.bind(TXMUIMessages.errorWhileOpeningBibliographicRecordP0WithURLEqualsP1, e.toString(), filepath));
 			System.out.println(TXMUIMessages.bind(TXMUIMessages.errorWhileOpeningBibliographicRecordP0WithURLEqualsP1, e.toString(), filepath));
 		}
 		return null;
 	}
-}
\ No newline at end of file
+}
